set -o vi
shopt -s histappend
shopt -s cmdhist
HISTSIZE=1000000
HISTFILESIZE=1000000
HISTCONTROL=ignoreboth
HISTIGNORE='ls:history'
HISTTIMEFORMAT='%F %T '

export TERM_ITALICS=true

eval $(perl -I ~/perl5/lib/perl5/ -Mlocal::lib)

export PATH=$PATH:~/skynet/bin:~/node/node_modules/.bin:~/.local/bin:~/go/bin:~/.dotnet:~/.dotnet/tools:~/.cargo/bin:~/.luarocks/bin

export EDITOR=vim
export PAGER=bat
export BROWSER=qutebrowser
export BAT_THEME='Wombat'
export DOTNET_ROOT=~/.dotnet
export ANDROID_EMULATOR_USE_SYSTEM_LIBS=1
export GPG_TTY=$(tty)

alias ls='exa --icons'
alias cat='bat'
alias flatpak='flatpak --user'
alias cd..='cd ..'
alias j='goto'
alias jqize="jq -R -r '. as \$line | try fromjson catch \$line'"
alias jcurl="curl -H 'Content-Type: application/json' -H 'Accept: application/json'"
alias gitlog='git log --oneline --graph'
alias gitpush='git push origin $(git rev-parse --abbrev-ref HEAD)'
alias watchsync='watch grep -e Dirty: -e Writeback: /proc/meminfo'
alias psgrep='ps -ef | grep -v grep | grep'
alias serve='python -m http.server'
alias dockerrm='docker stop $(docker ps -aq); docker rm -v $(docker ps -aq); docker volume prune -f; docker rmi $(docker images -q --filter "dangling=true")'
alias cls='clear && echo -en "\e[3J"'
alias removebom="sed -i \$'1s/^\uFEFF//'"
alias duskh="du -hka --max-depth=1 | sort -h"
alias 8bitdo="xboxdrv --evdev /dev/btjoy --config ~/.config/xboxdrv/8bitdo.conf"
alias ddev="export COMPOSE_FILE=docker-compose.dev.yaml"
alias penscreen="xsetwacom set 'Wacom Intuos PT S Pen stylus' MapToOutput HEAD-1; xsetwacom set 'Wacom Intuos PT S Pen eraser' MapToOutput HEAD-1"

test -e ~/.bash_aliases && source ~/.bash_aliases
